<?php
require_once('captcha.php');

if (!isset($_POST["submit"])) {
  ?>
<form method="post" action="<?php echo $_SERVER["PHP_SELF"];?>">

    <input type="text" name="jmeno" class="text" placeholder="Jméno a příjmení" autofocus />
    <input type="email" name="email" class="text" placeholder="E-mail" />
    <input type="text" name="predmet" class="text" placeholder="Předmět zprávy" />
    <?php
      echo "<input type='text' name='captcha' class='text' placeholder='Kolik je ".$cisloB." + ".($captchaSlovnik[$cisloA])."?' />";
    ?>
    <textarea name="zprava" rows="4" class="text" placeholder="Sem napište zprávu"></textarea>
    <input type="hidden" name="soucet" value="<?php echo md5($cisloA + $cisloB); ?>" />
    <input type="submit" name="submit" class="button text" value="Odeslat"/>
    <input type="reset" name="reset" class="button text" value="Reset" onclick="location.reload()" />

</form>
<?php
} else {

    if (md5($_POST["captcha"]) === $_POST["soucet"]){

        $jmeno = $_POST["jmeno"];
        $email = $_POST["email"];
        $zprava = $_POST["zprava"];

        // EMAIL UŽIVATELI
        $predmet = "Zpráva doručena!";
        $message = "
Dobrý den ". $jmeno .",\n
právě jsme od Vás dostali zprávu přes webový formulář!
Vaše zpráva: \n
". $zprava ."\n
Tato zpráva je automaticky generována. Neodpovídejte na tuto zprávu. Jestliže se Vám zpráva nezobrazuje správně nebo máte jiné potíže, obraťte se na: it.tiv.uk@gmail.com\n
Přejeme pěkný den\n-------\nStudentská rada oboru IT + TIV a PG\nit.tiv.uk@gmail.com";
        $message = wordwrap($message, 250);

        #$header = array("Content-Type: text/html; charset=UTF-8");

        $headers  = "MIME-Version: 1.0\r\n";
        $headers .= "Content-type: text/plain; charset=UTF-8\r\n";
        $headers .= "From: it.tiv.uk@gmail.com\r\n";

        mail($email, $predmet, $message, $headers);

        // EMAIL na Info = info@pocitacovyslovnik.cz
        $predmet = "Zpráva z webu SOR IT a PG!";
        $message =
$jmeno ." napsal: \n
". $zprava ."\n
Tato zpráva je automaticky generována. Neodpovídejte na tuto zprávu. Jestliže se Vám zpráva nezobrazuje správně nebo máte jiné potíže, obraťte se na: it.tiv.uk@gmail.com\n
Přejeme pěkný den\n-------\nStudentská rada oboru IT + TIV a PG\nit.tiv.uk@gmail.com";

        $message = wordwrap($message, 250);

        #$header = array("Content-Type: text/html; charset=UTF-8");

        $headers  = "MIME-Version: 1.0\r\n";
        $headers .= "Content-type: text/plain; charset=UTF-8\r\n";
        $headers .= "From: ". $email ."\r\n";

        mail('it.tiv.uk@gmail.com', $predmet, $message, $headers);

      } else {
        echo '<script language="javascript">';
        echo 'history.back(alert("Nejsi robot? Vyplň správně ověření."))';
        echo '</script>';
        }

   echo "<p class='bold'>";
   echo "Vaše zpráva byla odeslána! Děkujeme.";
   echo "</p>";
}
?>
